dnl -*- html -*-
define(__title, `How I do my Computing')dnl
define(__pub, 2019-09-14T12:00:00Z)dnl
define(__upd, 2020-07-02T12:00:00Z)dnl
define(__id, 2)dnl
include(header.html)dnl

<p>(Inspired by computing pages of
<a href="//stallman.org/stallman-computing.html">rms</a> and
<a href="//blog.vimuser.org/leah-computing.html">Leah Rowe</a>)</p>

<h2>Computers</h2>
<p>My main computer is a <a href="//libreboot.org">librebooted</a>
ThinkPad X200, and is the machine I use the most.  I also own a
ThinkPad X220T tablet that I occasionally use for reading and
annotating research papers, and a Dell XPS 15 I use every now and
again more as a &ldquo;desktop&rdquo;.</p>

<p>I also have the privilege of having access to a fleet of beefy
servers through our school's
<a href="//csclub.uwaterloo.ca">Computer Science Club</a>, which I use
for some heavier computations every now and again.</p>

<h2>GNU/Linux distros</h2>
<p>I've used a wide variety of GNU/Linux distributions over the years;
but as of late, I find myself using
<a href="//trisquel.info">Trisquel</a>,
<a href="//guix.gnu.org">Guix System</a>, and
<a href="//www.debian.org">Debian</a> (with no <code>contrib</code> or
<code>non-free</code>).  For the kernel, I mostly use
<a href="//www.fsfla.org/ikiwiki/selibre/linux-libre/">GNU
Linux-libre</a>.  Guix&nbsp;System comes with GNU Linux-libre out of
the box, and on Debian-based distros I tend to install it from
jxself's <a href="//jxself.org/linux-libre/">APT repository</a>.</p>

<h2>Actual computing</h2>
<p>I spend most of my time in
<a href="//www.gnu.org/software/emacs/">GNU Emacs</a>.</p>
<p>TODO: elaborate</p>

<h2>Cell phone</h2>
<p>I have an old Nexus 5 I reluctantly use from time to time.  It runs
LineageOS+microG without GApps.  Sadly it still requires some blobs
for functioning.  I can't wait for lxo's
<a href="//www.fsfla.org/ikiwiki/blogs/lxo/pub/0G">0G</a> to become a
reality fast enough.
<span class="smly">:-)</span></p>

define(__copy, `2019, 2020')dnl
include(footer.html)dnl
